Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81567 - LTC 1468 - LTP netowrking test (sendfile) does not work on pSeries
Summary: LTC 1468 - LTP netowrking test (sendfile) does not work on pSeries
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.1
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Guy Streeter
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-10 16:04 UTC by Kaena Freitas
Modified: 2016-02-10 01:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 19:02:00 UTC


Attachments (Terms of Use)

Description Kaena Freitas 2003-01-10 16:04:23 UTC
Hardware Environment:

2 p640 4-way machines (model:7026-B80). One is the client and the other one is
the server.

# cat /proc/cpuinfo
processor       : 0
cpu             : POWER3 (630+)
clock           : 375MHz
revision        : 1.4
bogomips        : 374.99

processor       : 1
cpu             : POWER3 (630+)
clock           : 375MHz
revision        : 1.4
bogomips        : 374.99

processor       : 2
cpu             : POWER3 (630+)
clock           : 375MHz
revision        : 1.4
bogomips        : 374.99

processor       : 3
cpu             : POWER3 (630+)
clock           : 375MHz
revision        : 1.4
bogomips        : 374.99

total bogomips  : 1499.99
machine         : CHRP IBM,7026-B80

# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda2             249M  130M  106M  55% /
/dev/sda6             4.1G   44k  3.9G   1% /home
/dev/sda7             4.1G  1.3G  2.6G  33% /usr
/dev/sda8             249M   36M  200M  16% /var

********************************************************************************
Software Environment:

LTP 20021008 release.

Red Hat Linux release 7.1 (Seawolf)
Linux rh2lte.apt.austin.ibm.com 2.4.9-23.19.7 #1 SMP Tue Oct 8 17:12:46 CDT 2002
ppc64 unknown
 
Gnu C                  2.96
Gnu make               3.79.1
binutils               2.10.91.0.2
util-linux             2.11f
mount                  2.11g
modutils               2.4.14
e2fsprogs              1.26
PPP                    2.4.0
isdn4k-utils           3.1pre1
Linux C Library        2.2.4
Dynamic linker (ldd)   2.2.4
Procps                 2.0.7
Net-tools              1.57
Console-tools          0.3.3
Sh-utils               2.0
Modules Loaded         nfs nfsd lockd sunrpc autofs4 pcnet32 md

********************************************************************************
Steps to Reproduce:
1.Install LTP
2.Run networktests.sh under LTP home directory.
3.Or you can run ./sendfile01 under its directory.

********************************************************************************
Actual Results:

Result from output:

<<<test_start>>>
tag=sendfile stime=1036119144
cmdline="export TCbin=$LTPROOT/testcases/network/tcp_cmds/sendfile; sendfile01"
contacts=""
analysis=exit
initiation_status="ok"
<<<test_output>>>
: doing /root/ltp-20021008/testcases/bin/sendfile01.
Starting testsf_c 9.3.117.67 Client_filename Server_filename Size
sp=220=/root/ltp-20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.sm
client write 77 bytes to server with contents
220=/root/ltp-20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.sm
File (null) received
Starting testsf_c 9.3.117.67 Client_filename Server_filename Size
sp=4020=/root/ltp-
20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.med
client write 79 bytes to server with contents
4020=/root/ltp-20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.med
File (null) received
Starting testsf_c 9.3.117.67 Client_filename Server_filename Size
sp=80020=/root/ltp-
20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.lg
client write 79 bytes to server with contents
80020=/root/ltp-20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.lg
File (null) received
Starting testsf_c 9.3.117.67 Client_filename Server_filename Size
sp=1600020=/root/ltp-
20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.jmb
client write 82 bytes to server with contents
1600020=/root/ltp-
20021008/testcases/network/tcp_cmds/sendfile/datafiles/ascii.jmb
WRONG!!! nlen = 0, should be 1600020
: doing /root/ltp-20021008/testcases/bin/sendfile01.
Test Failed: testsf_c returned error 1


********************************************************************************
Expected Results: Test should pass.

********************************************************************************
Additional Information:
Large size file (1.6 MB) doesn't get transferred. Had seen this failure on Intel
before, but not any more. Probably it gets fixed in later kernel version.

------- Additional Comment #1 From Khoa Huynh(khoa@us.ibm.com) 2002-11-06 
18:28 ------- 
Li - per our discussion today, this bug is now transferred to pSeries family.
You will probably want to submit this bug to Red Hat also - please check with
Monica Lemay on the exact process she uses to do this.  Thanks.

------- Additional Comment #2 From Jeff Scheel(scheel@us.ibm.com) 2002-11-12 
15:47 ------- 
Does this defect fail on RH 7.1 PPC32 bit kernel?

Comment 1 Florian La Roche 2003-01-18 09:17:17 UTC
Reassigning to kernel component.

Florian La Roche


Comment 2 Arjan van de Ven 2003-01-20 19:03:35 UTC
assigning to ppc maintainer

Comment 3 Guy Streeter 2003-01-27 19:02:00 UTC
LTP is not a product in the RH 7.1 distribution.

Comment 4 Kaena Freitas 2003-01-29 17:13:22 UTC
------- Additional Comments From lge@us.ibm.com  2003-01-29 11:24 -------
LTP is not a product of RedHat 7.1, but the sendfile() system call is.  The 
test is failing with large transfer sizes. This is most likely a kernel issue 
that can easily be resolved by going to a more recent kernel. If RedHat wants 
to close the bug, they can, but the problem will ALWAYS exist in their 7.1 PPC 
release as long as it stays with its current kernel version.


Note You need to log in before you can comment on or make changes to this bug.